const promptInt = function(question, minVal, maxVal){
    
    let answer = parseInt(prompt (question));
    while(isNaN(answer) || answer < minVal ||  answer > maxVal){
        answer = parseInt(prompt ('Insert a valid number: \n' + question));
    }
  return answer;
};

const guessingGame = function (maxNumber, maxGuesses) {
    let randomNumber = Math.floor (Math.random()*(maxNumber + 1));
    let question = "Guess a number between 0 and " + maxNumber;
    let guessedNumber = promptInt(question, 0, maxNumber);
    let guessCount = 1; 
    while(guessedNumber !== randomNumber && guessCount < maxGuesses){
            alert("try again");
            guessedNumber = promptInt(question, 0, maxNumber);
            guessCount++;
        }
        if(guessedNumber === randomNumber){
            alert("Well done");
            return true;
        }else{
            alert("You lose the number was " + randomNumber);
            return false;
        }
- 

console.log(guessingGame(10,2));


const guessingCompetition = function(){
    const maxNumber = promptInt ("Guess between 0 and ...", 1,Infinity);
    const maxGuesses = promptInt ("How many guesses can you make?", 1,Infinity);
    const maxGames = promptInt ("Best of ...", 1, Infinity);

    let playerScore = 0;
    let aiScore = 0;
    while (playerScore * 2 < maxGuesses && aiScore * 2 < maxGames && playerScore + aiScore < maxGames){
       if (guessingGame(maxNumber, maxGuesses)){
           playerScore++;
       }else{
           aiScore++;
       }
       alert("Player: " + playerScore + '\n AI: ' + aiScore);

    }
    if (playerScore > aiScore){
        alert("Player wins");
    }else if (aiScore > playerScore){
        alert('Ai wins');
    }else{
        alert('Tie');
    }
};
guessingCompetition();
